Foutmeldingen bij WordPress Widgets

Vanaf WordPress versie 5.8 (juli 2021) werken de widgets ook met blokken. Dit is geheel anders dan de vertouwde voorgedefinieerde widgets die je van voorgaande versies kent.

Foutmelding bij weergave widgets

Het kan voorkomen dat je foutmeldingen krijgt bij deze nieuwe widgets weergave. Een oplossing kan zijn het oude widgets scherm terugzetten in WordPress. Maar dan kan je geen gebruik maken van de vele nieuwe mogelijkheden die blokken jou bieden bij de opbouw en invulling van de widgetgebieden

Op langere termijn zal alles in blokken komen te zitten.
Bijvoorbeeld: Een winkelmand-widget die je hebt toegevoegd in je zijbalk van je webshop zal straks niet meer ondersteunt worden. Zo’n winkelmand-stukje zit dan in een blok.
Voor een plugin-bouwer zal het niet werkbaar zijn om zowel klassieke widgets als blokken te blijven ondersteunen.

Mijn aanbeveling is om jezelf het werken met blokken in plaats van widgets eigen te maken en eventuele problemen op te lossen.

Er zijn meerder opties om foutmeldingen en probleem met widgets op te lossen
1. Terug schakelen naar het oude klassieke widgetscherm. (tijdelijk?)
Hiervoor een plugin beschikbaar waarmee je eenvoudig omschakelt naar het oude scherm

2. De php versie aanpassen
Indien jouw website aangeeft dat je geen gebruik maakt van een actuele, veilige php versie, kan je foutmeldingen verwachten. Je moet dan contact opnemen met de webbouwer of hosting om de php versie te verhogen.

3. Oude widgets vervangen door nieuwe blokken
Oude widgets zoals de tekst-widget kan je vervangen door een titelblok en een paragraafblok.
Door oude widgets te vervangen door nieuwe blokken maar je de site sneller en los je fouten op.

Maar wat zijn nu widgets ook al weer?

De widgets zijn bekend als de “zijbalk of footer van je website”. Met widgets kan je opmaakblokjes plaatsen in voorgedefinieerde widgetgebieden zoals zijbalk (sidebar) of de footer.

Het tijdperk van de widgets is voorbij.
De mogelijkheden die de blokken bieden zijn beter dan wat widgets aanbieden. Ook geven de blokken je overal dezelfde gebruikerservaring. Of je nu in een pagina, bericht of widget-scherm: het zijn allemaal dezelfde blokken.
Bovendien bieden blokken ontwikkelaars fantastische leuke blokken aan om jouw website mooier en functioneler te maken.

1. Fouten oplossen door terugkeren naar het oude widget-scherm.

Er verschillende mogelijkheden om terug te keren naar de het oude widget-scherm, maar de meest eenvoudige is het installeren van de plugin “Classic Widgets“.

De Classic Widgets plugin is een plug-and-play plugin. Na installeren doet het werk. Je ziet nu onder weergave >> widgets het klassieke widget scherm terug.

Opgelet:
Er is ook de Classic Editor plugin. Deze plugin zorgt ervoor dat je geen blokken ziet als je een pagina of bericht aanmaakt/bewerkt. De Classic Editor plugin schakelt de blokeditor van WordPress uit.

2. Fouten oplossen door de php-versie van de webhosting te verhogen.

Indien jouw website aangeeft dat je geen gebruik maakt van een actuele, veilige php versie, kan je foutmeldingen verwachten. Je moet dan contact opnemen met de webbouwer of hosting om de php versie te verhogen.
Je kunt dit zien onder Dashboard >> Gereedschap >> site diagnose.

3. Oude widgets vervangen door nieuwe blokken

Door oude widgets te vervangen door nieuwe blokken maar je de site sneller en los je fouten op.
Zo kan je de oude tekst-widget vervangen door een titelblok en een paragraafblok. Het zelfde kan je doen met afbeeldingen.